Bug 638909

Summary: Review Request: erlang-gproc - Extended process registry for Erlang
Product: [Fedora] Fedora Reporter: Peter Lemenkov <lemenkov>
Component: Package ReviewAssignee: Mario Ceresa <mrceresa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: fedora-package-review, mrceresa, notting
Target Milestone: ---Flags: mrceresa: fedora‑review+
limburgher: fedora‑cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: erlang-gproc-0-0.3.20100929gitf0807c9.fc14 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-12-11 19:04:36 EST Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 638906, 639263    
Bug Blocks: 639292    

Description Peter Lemenkov 2010-09-30 06:46:06 EDT
Spec URL: http://peter.fedorapeople.org/erlang-gproc.spec
SRPM URL: http://peter.fedorapeople.org/erlang-gproc-0-0.1.20100929gitf0807c9.fc12.src.rpm
Description: Extended process registry for Erlang.

No koji build yet because it depends on erlang-gen_leader (see blocker ticket).
Comment 1 Peter Lemenkov 2010-11-10 08:38:02 EST
Update:

http://peter.fedorapeople.org/erlang-gproc.spec
http://peter.fedorapeople.org/erlang-gproc-0-0.2.20100929gitf0807c9.fc12.src.rpm

%changelog
* Wed Nov 10 2010 Peter Lemenkov <lemenkov@gmail.com> - 0-0.2.20100929gitf0807c9
- Use system-wide rebar
- Don't run make eunit twice
Comment 2 Peter Lemenkov 2010-11-24 08:51:00 EST
Ok, erlang-rebar now packaged, so here is a koji scratch build for Rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=2621189
Comment 3 Peter Lemenkov 2010-11-24 10:49:02 EST
rpmlint:

sulaco ~/rpmbuild/SPECS: rpmlint ../RPMS/ppc/erlang-gproc-0-0.2.20100929gitf0807c9.fc12.ppc.rpm 
erlang-gproc.ppc: E: no-binary
erlang-gproc.ppc: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 1 errors, 1 warnings.
sulaco ~/rpmbuild/SPECS:
Comment 4 Mario Ceresa 2010-11-25 11:32:17 EST
I'll review it!

Legend: + = PASSED, - = FAILED, 0 = Not Applicable

- rpmlint is silent?
rpmlist -i suggests to noarch the package. Is it possible?

+ The package is named according to the  Package Naming Guidelines.
+ The spec file name matches the base package %{name}, in the format
%{name}.spec.
+ The package meets the Packaging Guidelines.
+ The package is licensed with a Fedora approved license and meets the
Licensing Guidelines.
- The License field in the package spec file matches the actual license.
Package is listed with BSD but headers in source code says its Erlang Public License. 

+ The spec file is written in American English.
+ The spec file for the package is legible.
+ The sources used to build the package, match the upstream source, as provided
in the spec URL.
a12693d660133f5735d5543673023621  SOURCES/uwiger-gproc-f0807c9.tar.gz
a12693d660133f5735d5543673023621  uwiger-gproc-f0807c9.tar.gz (from github)

+ The package successfully compiles and builds into binary rpms on at least one
primary architecture. 
See koji link above.

+ All build dependencies are listed in BuildRequires.
0 No need to handle locales.
0 No shared library files 
+ The package does NOT bundle copies of system libraries. 
0 The package is not designed to be relocatable.
+ The package owns all directories that it creates.
+ The package does not list a file more than once in the spec file's %files
listings.
+ Permissions on files are set properly.
+ The package has a %clean section, which contains rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ The package consistently uses macros.
+ The package contains code, or permissible content.
0 No extremely large documentation files.
+ Anything, the package includes as %doc, does not affect the runtime of the
application.
0 Header files are stored in a -devel package.
0 No static libraries.
0 No pkgconfig(.pc) files.
0 The library file(s) that end in .so (without suffix) is(are) stored in a
*-devel package.
0 The -devel package requires the base package using a fully versioned
dependency: Requires: %{name} = %{version}-%{release}
+ The package does NOT contain any .la libtool archives.
0 Not a GUI application.
+ The package does not own files or directories already owned by other
packages.
+ At the beginning of %install, the package runs rm -rf %{buildroot} (or
$RPM_BUILD_ROOT).
+ All filenames in rpm packages are valid UTF-8.

To summarize, I found only these two minor glitches:
* Consider if is possible to make the package noarch
* The license should be Erlang public license.
Comment 5 Peter Lemenkov 2010-11-25 12:54:37 EST
(In reply to comment #4)

> To summarize, I found only these two minor glitches:
> * Consider if is possible to make the package noarch

Unfortunately it's not possible right now. It is by design that Erlang VM will look into %{_libdir}/erlang/ directory (which is arch-dependent) for its modules at startup. Yes, it's possible to add another search paths, but it will require massive amount of work and testing.

> * The license should be Erlang public license.

Done! Not sure how could I miss this.

http://peter.fedorapeople.org/erlang-gproc.spec
http://peter.fedorapeople.org/erlang-gproc-0-0.3.20100929gitf0807c9.fc12.src.rpm
Comment 6 Mario Ceresa 2010-11-25 13:04:55 EST
The package is APPROVED!

good work :)
Comment 7 Peter Lemenkov 2010-11-25 13:49:16 EST
New Package SCM Request
=======================
Package Name: erlang-gproc
Short Description: Extended process registry for Erlang
Owners: peter
Branches: f14 el6
InitialCC:
Comment 8 Jason Tibbitts 2010-11-25 13:57:47 EST
Git done (by process-git-requests).
Comment 9 Fedora Update System 2010-12-02 16:00:55 EST
erlang-gproc-0-0.3.20100929gitf0807c9.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/erlang-gproc-0-0.3.20100929gitf0807c9.fc14
Comment 10 Fedora Update System 2010-12-03 15:45:12 EST
erlang-gproc-0-0.3.20100929gitf0807c9.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update erlang-gproc'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/erlang-gproc-0-0.3.20100929gitf0807c9.fc14
Comment 11 Fedora Update System 2010-12-11 19:04:31 EST
erlang-gproc-0-0.3.20100929gitf0807c9.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Peter Lemenkov 2012-05-31 15:15:09 EDT
Package Change Request
======================
Package Name: erlang-gproc
New Branches: el5
Owners: peter
Comment 13 Jon Ciesla 2012-05-31 15:20:05 EDT
Git done (by process-git-requests).